# *pharmacy*
[![Package Status](https://img.shields.io/pypi/status/pharmacy.svg)](https://pypi.org/project/pharmacy/)
[![PyPI Latest Release](https://img.shields.io/pypi/v/pharmacy.svg)](https://pypi.org/project/pharmacy/)
[![License](https://img.shields.io/pypi/l/pharmacy.svg)](https://github.com/PyPharm/pypharm/LICENSE/blob/main/LICENSE)
[![Downloads](https://static.pepy.tech/personalized-badge/pharmacy?period=month&units=international_system&left_color=grey&right_color=green&left_text=PyPI%20Downloads)](https://pepy.tech/project/pharmacy)

A hospital and retail pharmacy-focused Python package by Danny Limoges, PharmD. 

## <span style="color:red">*This project is in the alpha/planning stage.*</span>

## Installation
Available on PyPI as an installable package:  https://pypi.org/project/pharmacy/
```
  pip install pharmacy
```
## What is it?
This is a collection of modular utilities that aid in processing pharmacy data.  Users must perform their
own data validation to ensure that results generated by pharmacy are accurate 
and that the correct data was inputted.

## What is it *not*?
*pharmacy* is not a pharmacy management system and does not replace Epic, Meditech, Pioneer or any other pharmacy software.  

## Background
<i class="fa-thin fa-file-prescription"></i>
 
Python and Pharmacy data are a perfect match.  Most of pharmacy data is manually-checked for accuracy multiple times.  Secure open-source tools are needed to summarize the massive amounts of data generated, though.  Independent pharmacies, hospital pharmacies and outpatient pharmacies dole out thousands and millions of dollars per year on outdated software and that cost is directly passed to the patient.  The goal of the *pharmacy* package is to push against that trend.  If the true goal of pharmacy is to help patients then pharmacists need to creatively and intelligently analyze data to produce actionable results.  Pharmacy is almost always busy and stressful and many pharmacies have significant inefficiencies because they do not have the time or tools to determine a solution.

### <i class="fa-thin fa-hospital"></i> 

Due to heavy legal regulation, the structure of pharmacy data is unlikely to change quickly and the world of pharmacy requires fastidious book keeping.  Regulation has also created a large barrier to entry for new software so many outdated and clunky programs that made it through the gate decades ago roam free in the world of pharmacy, wasting time and holding back the industry.  

## Future Goals
*pharmacy* is intended to pull in data from multiple sources and quickly mobilize that data to serve the needs of the pharmacy and patients.  Specifically:
- Patient profiles
  - Demographics
  - Geolocation
- Prescription data
  - Fills
  - Claims
    - Loss analysis
    - Opportunity analysis
- Drug data
  - Pricing
  - Generic Equivalents
  - Usage
  - Shortages and availability
- **Modeling**
  - Integrate pharmacy data with TensorFlow
  - Generate large-scale insights
  - Predict the outcomes of new clinical services based on current data
- **Integration**
  - Incorporate data from ordering sites, etc.

  

[comment]: https://fontawesome.com/icons/hospital?s=thin

